Debian Bug report logs - #363518
manpages-dev: tmpfile.3 is confusing

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Reuben Thomas <rrt@sc3d.org>

Date: Wed, 19 Apr 2006 15:18:22 UTC

Severity: minor

Tags: fixed-upstream

Found in version manpages-dev/2.22-1

Fixed in versions manpages/2.28-1, manpages/2.31-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#363518; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Reuben Thomas <rrt@sc3d.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Reuben Thomas <rrt@sc3d.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: tmpfile.3 is confusing
Date: Wed, 19 Apr 2006 16:14:27 +0100
Package: manpages-dev
Version: 2.22-1
Severity: minor

The man page says:

 "The tmpfile() function generates a unique temporary filename."

This is true, but largely irrelevant: there's no (legal) way to get at
the name. Since this a rather difficult area (tmpname, tempnam,
mkstemp &c.), clarity helps.

I suggest rewriting the first two sentences as:

  The tmpfile() opens a unique temporary file in binary read/write
  (w+b) mode.

The generation of a unique filename is mentioned later (with reference
to errors); that's fine.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12-hibernate
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)

Versions of packages manpages-dev depends on:
ii  manpages                      2.22-1     Manual pages about using a GNU/Lin

manpages-dev recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#363518; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 363518@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Reuben Thomas <rrt@sc3d.org>,363518@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#363518: manpages-dev: tmpfile.3 is confusing
Date: Wed, 19 Apr 2006 22:21:51 +0200 (MEST)
tags 363518 fixed-upstream
thanks

> The man page says:
> 
>  "The tmpfile() function generates a unique temporary filename."
> 
> This is true, but largely irrelevant: there's no (legal) way to get at
> the name. Since this a rather difficult area (tmpname, tempnam,
> mkstemp &c.), clarity helps.
> 
> I suggest rewriting the first two sentences as:
> 
>   The tmpfile() opens a unique temporary file in binary read/write
>   (w+b) mode.
> 
> The generation of a unique filename is mentioned later (with reference
> to errors); that's fine.

Reuben,

Thanks for your report.  I agree and have amended upstream as 
you suggest.  Fixed in upstream 2.31.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  
Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, 
read the HOWTOHELP file and grep the source 
files for 'FIXME'.



Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Reuben Thomas <rrt@sc3d.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 363518-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 363518-close@bugs.debian.org
Subject: Bug#363518: fixed in manpages 2.28-1
Date: Sun, 30 Apr 2006 03:02:14 -0700
Source: manpages
Source-Version: 2.28-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.28-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.28-1_all.deb
manpages_2.28-1.diff.gz
  to pool/main/m/manpages/manpages_2.28-1.diff.gz
manpages_2.28-1.dsc
  to pool/main/m/manpages/manpages_2.28-1.dsc
manpages_2.28-1_all.deb
  to pool/main/m/manpages/manpages_2.28-1_all.deb
manpages_2.28.orig.tar.gz
  to pool/main/m/manpages/manpages_2.28.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 363518@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 30 Apr 2006 11:55:26 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.28-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 186307 205238 306121 326564 348038 348930 351834 360166 360625 363518 365112 365338
Changes: 
 manpages (2.28-1) unstable; urgency=low
 .
   * New upstream source
     - Removed reference to core(5) (closes: Bug#360166)
     - Corrected the reference from ppoll(2) to poll(2) (closes: Bug#365338)
   * Document EBUSY better in rmdir(2) to reflect the situation on Linux
     (closes: Bug#205238)
   * Removed readv(3) and writev(3) since they were moved into section 2 a
     while ago (closes: Bug#326564)
   * Use upstream version of clog10(3)
   * Untypo fenv(3)
   * Added a note to nl_langinfo(3) that setlocale(3) needs to be called
     first (closes: Bug#351834)
   * Deactivated set_mempolicy(2) since the interface is provided and
     documented in numactl (closes: Bug#360625)
   * Removed superflous line in ld.so(8) (closes: Bug#365112)
   * Added information about BROWSER to environ(5) (closes: Bug#348930)
   * Improved the description of tmpfile(3) (closes: Bug#363518)
   * Added error(3) by Justin Pryzby (closes: Bug#186307)
   * Added the MIT license for the new error(3) manpage
   * Install upstream Changes files (closes: Bug#306121, Bug#348038)
   * Added argp_parse to missing(7) (Bug#349388)
Files: 
 7a9bcbb2ef6a7199f7ab70d7300059b9 586 doc - manpages_2.28-1.dsc
 997fcdb108d776c8c80664321d191e51 1141760 doc - manpages_2.28.orig.tar.gz
 22840abb92e0ab1fabe5d8e9e86ec5b5 49127 doc - manpages_2.28-1.diff.gz
 8bb7708ed7f2824ce38422df14766555 461352 doc important manpages_2.28-1_all.deb
 dc2085ce707cd12b19fe8ad92c3a1da9 1173348 doc standard manpages-dev_2.28-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (GNU/Linux)

iD8DBQFEVIpjW5ql+IAeqTIRAv0/AKCPKCiCHX+c2W3R4yqG9xjgWAkLKACghYoT
yYUWar29TcdPRDdOJc+hrQ0=
=3nJs
-----END PGP SIGNATURE-----




Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Reuben Thomas <rrt@sc3d.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 363518-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 363518-close@bugs.debian.org
Subject: Bug#363518: fixed in manpages 2.31-1
Date: Tue, 30 May 2006 00:47:13 -0700
Source: manpages
Source-Version: 2.31-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.31-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.31-1_all.deb
manpages_2.31-1.diff.gz
  to pool/main/m/manpages/manpages_2.31-1.diff.gz
manpages_2.31-1.dsc
  to pool/main/m/manpages/manpages_2.31-1.dsc
manpages_2.31-1_all.deb
  to pool/main/m/manpages/manpages_2.31-1_all.deb
manpages_2.31.orig.tar.gz
  to pool/main/m/manpages/manpages_2.31.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 363518@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 30 May 2006 09:10:05 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.31-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 186307 363518
Changes: 
 manpages (2.31-1) unstable; urgency=low
 .
   * New upstream source
     . New page describing error() and error_at_line (closes: Bug#186307)
     . Fixed DESCRIPTION of tmpfile(3) (closes: Bug#363518)
Files: 
 69312c1f0218818b34e567c12c60e800 584 doc - manpages_2.31-1.dsc
 c524a2729cd2e5d60172007f377925f4 1164421 doc - manpages_2.31.orig.tar.gz
 aa08dc399601b9388710ba8dd38bdd98 48268 doc - manpages_2.31-1.diff.gz
 3e1976d2712dafcaa08ee940f740c9f8 472478 doc important manpages_2.31-1_all.deb
 a5822577ee1cbe1ed375d994e7509bbd 1194956 doc standard manpages-dev_2.31-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEe/TOW5ql+IAeqTIRAvVXAJ96iBRfY4OUqgZqeKFHJZ1vbLE8KgCcC3Yo
u/peV0WfwbVZpgu8K8UcPx8=
=EmYc
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 18:49:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:43:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.